Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve detailed transparency framework score for one project by ID
cURL
curl --request GET \ --url https://api.blockworks.com/v1/transparency/{id} \ --header 'x-api-key: <api-key>'
import requestsurl = "https://api.blockworks.com/v1/transparency/{id}"headers = {"x-api-key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};fetch('https://api.blockworks.com/v1/transparency/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": 1, "asset_id": 345426, "summary": "", "created_at": 1755624545, "updated_at": 1758051174, "project_team": { "rating": 10, "max": 10 }, "token_allocation": { "rating": 17, "max": 18 }, "market_structure": { "rating": 7, "max": 7 }, "financial_disclosure": { "rating": 4, "max": 5 } }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/transparency/1?expand=asset"
const res = await fetch( 'https://api.blockworks.com/v1/transparency/1?expand=asset', { headers: { 'x-api-key': 'YOUR_API_KEY' } } ) const data = await res.json()
import requests r = requests.get( 'https://api.blockworks.com/v1/transparency/1', headers={'x-api-key': 'YOUR_API_KEY'}, params={'expand': 'asset'} ) data = r.json()
{ "id": 1, "asset_id": 345426, "summary": "", "created_at": 1755624545, "updated_at": 1758051174, "asset": { "id": 345426, "code": "AERO", "title": "Aerodrome Finance", "slug": "aerodrome-finance", "tag_line": null, "description": "", "image_url": "https://coin-images.coingecko.com/coins/images/31745/large/token.png?1696530564", "legacy_sector": null, "category": null, "is_supported": false, "updated_at": 1759454337, "sector_id": null, "type": null }, "project_team": { "rating": 10, "max": 10 }, "token_allocation": { "rating": 17, "max": 18 }, "market_structure": { "rating": 7, "max": 7 }, "financial_disclosure": { "rating": 4, "max": 5 } }
id
expand
asset
asset_id
summary
created_at
updated_at
expand=asset
project_team
project_team.rating
project_team.max
token_allocation
token_allocation.rating
token_allocation.max
market_structure
market_structure.rating
market_structure.max
financial_disclosure
financial_disclosure.rating
financial_disclosure.max